

public class Stack {
	// Datenstruktur
	int[] store; // zum Speichern von Daten

	int current; // aktueller Index

	// Methoden
	Stack(int size) { // Konstruktor
		this.store = new int[size];
		this.current = -1;
	}

	boolean isFull() {
		return this.current == (this.store.length - 1);
	}

	boolean isEmpty() {
		return this.current == -1;
	}

	void push(int value) {
		this.store[++this.current] = value;
	}

	int pop() {
		return this.store[this.current--];
	}

}
